Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Configuration.Install

<RunInstaller(True)> Public Class ServiceInstaller
    Inherits System.Configuration.Install.Installer

    Dim hl7ClientProcessInstaller As System.ServiceProcess.ServiceProcessInstaller
    Dim hl7ClientInstaller As System.ServiceProcess.ServiceInstaller

    Public Sub New()
        hl7ClientProcessInstaller = New System.ServiceProcess.ServiceProcessInstaller()
        hl7ClientInstaller = New System.ServiceProcess.ServiceInstaller()

        hl7ClientProcessInstaller.Account = System.ServiceProcess.ServiceAccount.LocalSystem
        'hl7ClientProcessInstaller.Password = "Administrator"
        'hl7ClientProcessInstaller.Username = "Password"

        hl7ClientInstaller.ServiceName = "HL7 Client Service"
        hl7ClientInstaller.Description = "Example HL7 Client"

        Installers.Add(hl7ClientProcessInstaller)
        Installers.Add(hl7ClientInstaller)
    End Sub
End Class
